
Robotics Service Bus - Feature #712
Implement socket-based transport
11/10/2011 02:39 AM - J. Moringen

Status: Resolved Start date: 11/10/2011
Priority: High Due date:
Assignee: J. Moringen % Done: 100%
Category: Python Estimated time: 0.00 hour
Target version: rsb-0.7
Description

Related issues:
Related to Robotics Service Bus - Enhancement # 545: Check if pure TCP Connec... Resolved 09/05/2011
Related to Robotics Service Bus - Feature # 1012: Change default configuratio... Resolved 06/20/2012

Associated revisions
Revision f35ad19b - 11/18/2011 06:55 PM - J. Moringen
Initial partial implementation of socket-based transport
refs #712
    -  rsb/__init__.py: accept "socket" as transport name; look up

  corresponding connector class
    -  rsb/eventprocessing.py: added class BroadcastProcessor
    -  rsb/transport/socket/__init__.py: new file; contains initial

  implementation of socket-based transport

Revision 87b8a154 - 06/22/2012 03:26 PM - J. Moringen
Partially usable socket transport
refs #712
    -  rsb/transport/rsbspread/conversion.py: provide event <->

  notification conversion - without fragmentation - in separate
  functions

    -  rsb/transport/socket/__init__.py: implemented event distribution in
  Bus; implemented __getBus in Connector; event <-> notification
  conversion in {InPush,Out}Connector

    -  test/__init__.py: added socket transport tests
    -  test/sockettransporttest.py: new file; contains unit test for socket

  transport

Revision 4649f085 - 06/26/2012 01:52 PM - J. Moringen
Extended implementation in rsb/transport/socket/__init__.py
refs #712
    -  rsb/transport/socket/__init__.py: added handshake; added some

  logging; perform state management via (de)activate methods;
  implemented notification routing in BusServer

Revision 5be1041a - 06/26/2012 01:56 PM - J. Moringen
Fixed connector class name in rsb/__init__.py
refs #712
    -  rsb/__init__.py: in Participant.getConnector fixed connector class

  name rsb.transport.socket.{In -> InPush}Connector
Revision 2b1d6056 - 06/26/2012 02:10 PM - J. Moringen
Fixed server construction in rsb/transport/socket/__init__.py
refs #712
    -  rsb/transport/socket/__init__.py: store host, port and backlog

  parameters in slots; use in activate method

Revision ff3ebef7 - 06/26/2012 05:00 PM - J. Moringen
Shutdown improvements in rsb/transport/socket/__init__.py
fixes #712
    -  rsb/transport/socket/__init__.py: added error hook to BusConnection;

  fixed state management of BusConnection; fixed state management of
  Bus and BusServer; added removeConnector function to removed
  connectors from a bus after deactivation; implemented state
  management in Connector class

Revision d04e8bf4 - 06/26/2012 06:02 PM - J. Moringen
Fixes and cleanup in rsb/transport/socket/__init__.py
refs #712
    -  rsb/transport/socket/__init__.py: simplifications in

  BusConnection.{__del__,deactivate}; fixed routing of incoming events
  in Bus

Revision 10627d81 - 06/27/2012 03:49 AM - J. Moringen
Fixed routing in Bus in rsb/transport/socket/__init__.py
refs #712
    -  rsb/transport/socket/__init__.py: notifications should only be

  deliver to connectors whose scope are superscopes of the
  notifications' scopes

Revision 75fa3a3a - 06/27/2012 08:05 PM - J. Moringen
Fixed deadlock in rsb/transport/socket/__init__.py
refs #712
    -  rsb/transport/socket/__init__.py: fix deadlock that would happen

  when a connection received a notification while the owning bus was
  being deactivated; added some comments; minor cleanup

History
#1 - 06/20/2012 04:10 PM - S. Wrede
- Priority changed from Normal to High
- Target version changed from rsb-1.0 to rsb-0.7

#2 - 06/21/2012 05:51 PM - J. Moringen
- % Done changed from 30 to 60

#3 - 06/22/2012 03:31 PM - J. Moringen
- % Done changed from 60 to 80

06/27/2024 2/3



#4 - 06/26/2012 05:38 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 80 to 100

Applied in changeset r3648.
